Package org.pentaho.reporting.libraries.resourceloader

# Class FactoryParameterKey

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.FactoryParameterKey

All Implemented Interfaces:
  `Serializable`

public final class FactoryParameterKey extends Object implements Serializable
Creation-Date: 16.05.2006, 15:24:21

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FactoryParameterKey(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getName()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FactoryParameterKey

public FactoryParameterKey(String name)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getName

public String getName()

### toString

public String toString()

Overrides:
  `toString` in class `Object`